<?php
/* ************************************************************************** *
 *																										*
 * Core mod - lib_listing.php v3.1 by Slodave, 2008 - avgust 2008,				*
 * http://www.zabec.net																			*
 * -------- -------- -------- -------- -------- -------- -------- --------		*
 * 																									*
 * Datoteka skrbi prikaz zgodovine spremem pri posameznem vnosu					*
 * ************************************************************************** */

//preverimo spremenljivko
$clean['id'] = intval($_POST['id']);

$tpl = new TemplatePower($ajax."templates/".$settings['template']."/zgodovina.tpl");
$tpl->prepare();
$tpl->assignGlobal("template_dir", "/templates/".$settings['template']);

//par jezikovnih nastavitev (nastavljene samostojno zaradi optimizacije)
$tpl->assignGlobal("lang_zgodovina_naslov", $lang['zgodovina_naslov']);
$tpl->assignGlobal("lang_zgodovina_datum", $lang['zgodovina_datum']);
$tpl->assignGlobal("lang_zgodovina_urejanje", $lang['zgodovina_urejanje']);
$tpl->assignGlobal("lang_zgodovina_uporabnik", $lang['zgodovina_uporabnik']);
$tpl->assignGlobal("lang_zgodovina_zapri", $lang['zgodovina_zapri']);

//posebnost nastavitev
if($mod == "nastavitve") {
	$mod = $_SESSION['act'];
}

//dobimo podatke
$result = $db->query("SELECT change_time, username, sprememba FROM core_spremembe AS p LEFT JOIN core_uporabniki AS d ON p.change_user = d.id WHERE item_id = '$clean[id]' AND modul = '$mod'");
while($r = $result->fetch()) {
	$tpl->newBlock("sprememba");
	$tpl->assign("datum", formatDateFromDB($r['change_time']));
	$tpl->assign("sprememba", $r['sprememba']);
	$tpl->assign("uporabnik", $r['username']);
}

$tpl->printToScreen();
 ?>